# Name

HPL_pdlange Compute ||A||.

# Synopsis

`#include "hpl.h"`
`double` `HPL_pdlange(` `const HPL_T_grid *` `GRID`, `const HPL_T_NORM` `NORM`, `const int` `M`, `const int` `N`, `const int` `NB`, `const double *` `A`, `const int` `LDA` `);`

# Description

HPL_pdlange returns the value of the one norm, or the infinity norm, or the element of largest absolute value of a distributed matrix A: max(abs(A(i,j))) when NORM = HPL_NORM_A, norm1(A), when NORM = HPL_NORM_1, normI(A), when NORM = HPL_NORM_I, where norm1 denotes the one norm of a matrix (maximum column sum) and normI denotes the infinity norm of a matrix (maximum row sum). Note that max(abs(A(i,j))) is not a matrix norm.

# Arguments

    GRID    (local input)                 const HPL_T_grid *
            On entry,  GRID  points  to the data structure containing the
            process grid information.

    NORM    (global input)                const HPL_T_NORM
            On entry,  NORM  specifies  the  value to be returned by this
            function as described above.

    M       (global input)                const int
            On entry,  M  specifies  the number  of rows of the matrix A.
            M must be at least zero.

    N       (global input)                const int
            On entry,  N specifies the number of columns of the matrix A.
            N must be at least zero.

    NB      (global input)                const int
            On entry,  NB specifies the blocking factor used to partition
            and distribute the matrix. NB must be larger than one.

    A       (local input)                 const double *
            On entry,  A  points to an array of dimension  (LDA,LocQ(N)),
            that contains the local pieces of the distributed matrix A.

    LDA     (local input)                 const int
            On entry, LDA specifies the leading dimension of the array A.
            LDA must be at least max(1,LocP(M)).

# See Also

HPL_pdlaprnt, HPL_fprintf.